package org.colinvella.fancyfish.recipe;

import java.util.HashMap;
import java.util.Map;

import org.colinvella.fancyfish.item.ModItemRegistry;

import net.minecraft.init.Items;
import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;

public class FishScaleAxeRecipe extends ShapedRecipe
{
	public static final String ID = "FishScaleAxe";
	
	public FishScaleAxeRecipe()
	{
		super(
			ID,
			new ItemStack(ModItemRegistry.FishScaleAxe),
			new String[] {" GG", " SG", " S "},
			buildLegend());
	}
		
	private static Map<Character, ItemStack> buildLegend()
	{
		Map<Character,Item> legend = new HashMap<Character, Item>();
		legend.put('G', ModItemRegistry.GreenFishScale);
		legend.put('S', Items.stick);
		return ShapedRecipe.MakeStackLegend(legend);
	}
}
