package org.colinvella.fancyfish.recipe;

import java.util.HashMap;
import java.util.Map;

import org.colinvella.fancyfish.item.ModItemRegistry;

import net.minecraft.item.Item;
import net.minecraft.item.ItemStack;

public class FishScaleSwordRecipe extends ShapedRecipe
{
	public static final String ID = "FishScaleSword";
	
	public FishScaleSwordRecipe()
	{
		super(
			ID,
			new ItemStack(ModItemRegistry.FishScaleSword),
			new String[] {"  W", "BW ", "SB "},
			buildLegend());
	}
		
	private static Map<Character, ItemStack> buildLegend()
	{
		Map<Character,Item> legend = new HashMap<Character, Item>();
		legend.put('W', ModItemRegistry.WhiteFishScale);
		legend.put('S', ModItemRegistry.SilverFishScale);
		legend.put('B', ModItemRegistry.BlueFishScale);
		return ShapedRecipe.MakeStackLegend(legend);
	}
}
