package org.colinvella.fancyfish.tileentity;

import net.minecraft.block.state.IBlockState;
import net.minecraft.server.gui.IUpdatePlayerListBox;
import net.minecraft.tileentity.TileEntity;
import net.minecraft.util.BlockPos;
import net.minecraft.world.World;

public abstract class ModTileEntity extends TileEntity implements IUpdatePlayerListBox
{
	// by default, tile entity is recreated only if actual block changes
	@Override public boolean shouldRefresh(World world, BlockPos pos, IBlockState oldState, IBlockState newSate)
	{
		return (oldState.getBlock() != newSate.getBlock());
	};
	
	@Override
	public void update()
	{
	}
}
